

#ifndef __IMAGER_FRACTAL_H__
#define __IMAGER_FRACTAL_H__

#include "defs.h"



fitresult boxdim2d (image_type* img, int z, int bmin, int bmax, float lthresh, float uthresh);
fitresult manhattan_boxdim (image_type* img, int z, int bmin, int bmax, int oorflg);
fitresult sausagedim (image_type* img, int z, int bmin, int bmax, float lthresh, float uthresh);
fitresult mass_dimension (image_type* img, int z, int bmin, int bmax, int oorflag);
fitresult dispersion_boxdim (image_type* img, int z, int bmin, int bmax, int oorflg);

void boxdim_main ();


void rose_plot (image_type* img, int z, int freqstart, int freqend, int rose_max);
float rose_plot_for_macro (image_type* fftimg, int startpt, int numrays, int maxlen);
void roseplot_main ();

void hoelder (image_type* img, int slice, int rmax);
void hoelder_massdim_clickif ();
void local_hoelder_main (int nghsize);

void sierp_carpet (image_type* img, int z, float thresh);
void sierp_iterator (image_type* img, int z, float thresh);


#endif
